<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-layout}">
  <head id="head">

    <title data-th-text="#{label_create_entity(#{label_codigopostal})}">
      Create CodigoPostal - exampleIII - SpringRoo Application</title>

    <!-- DateTimePicker -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.min.css" data-th-href="@{/webjars/datetimepicker/build/jquery.datetimepicker.min.css}" />

  </head>

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!-- CONTAINER -->
    <div class="container bg-container">
      <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content">
        <div class="container-fluid content" data-th-with="collectionLink=${@linkBuilder.of('CodigoPostalsCollectionThymeleafController')}">

          <h1 data-th-text="#{label_create_entity(#{label_codigopostal})}">Create CodigoPostal</h1>

          <!-- FORM -->
          <form class="form-horizontal validate" method="POST" data-th-object="${codigoPostal}" data-th-action="${collectionLink.to('create').with('codigoPostal', codigoPostal.id)}">

            <fieldset id="containerFields">
              <legend class="sr-only" data-th-text="#{label_data_entity(#{label_codigopostal})}">CodigoPostal data </legend>

<div class="form-group has-error has-feedback" data-z="36796d0f" id="codigopostal-codigo-field" data-th-classappend="${#fields.hasErrors('codigo')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="codigo" class="col-md-3 control-label" data-th-text="#{label_codigopostal_codigo}">codigo</label>
  <div class="col-md-6">
    <input id="codigo" name="codigo" data-th-value="*{{codigo}}" type="text" class="form-control" placeholder="codigo" data-th-placeholder="#{label_codigopostal_codigo}" data-toggle="tooltip" aria-describedby="codigoStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('codigo')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('codigo')}" aria-hidden="true"></span>
      <span id="codigo-error" class="help-block" data-th-if="${#fields.hasErrors('codigo')}" data-th-errors="*{codigo}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="426516f" id="codigopostal-localidad-field" data-th-classappend="${#fields.hasErrors('localidad')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="localidad" class="col-md-3 control-label" data-th-text="#{label_codigopostal_localidad}">localidad</label>
  <div class="col-md-6">
    <input id="localidad" name="localidad" data-th-value="*{{localidad}}" type="text" class="form-control" placeholder="localidad" data-th-placeholder="#{label_codigopostal_localidad}" data-toggle="tooltip" aria-describedby="localidadStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('localidad')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('localidad')}" aria-hidden="true"></span>
      <span id="localidad-error" class="help-block" data-th-if="${#fields.hasErrors('localidad')}" data-th-errors="*{localidad}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="662dc76f" id="codigopostal-estado-field" data-th-classappend="${#fields.hasErrors('estado')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="estado" class="col-md-3 control-label" data-th-text="#{label_codigopostal_estado}">estado</label>
  <div class="col-md-6">
    <input id="estado" name="estado" data-th-value="*{{estado}}" type="text" class="form-control" placeholder="estado" data-th-placeholder="#{label_codigopostal_estado}" data-toggle="tooltip" aria-describedby="estadoStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('estado')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('estado')}" aria-hidden="true"></span>
      <span id="estado-error" class="help-block" data-th-if="${#fields.hasErrors('estado')}" data-th-errors="*{estado}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="91bf70ef" id="codigopostal-municipio-field" data-th-classappend="${#fields.hasErrors('municipio')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="municipio" class="col-md-3 control-label" data-th-text="#{label_codigopostal_municipio}">municipio</label>
  <div class="col-md-6">
    <input id="municipio" name="municipio" data-th-value="*{{municipio}}" type="text" class="form-control" placeholder="municipio" data-th-placeholder="#{label_codigopostal_municipio}" data-toggle="tooltip" aria-describedby="municipioStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('municipio')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('municipio')}" aria-hidden="true"></span>
      <span id="municipio-error" class="help-block" data-th-if="${#fields.hasErrors('municipio')}" data-th-errors="*{municipio}">Error message.</span>
  </div>
</div>
            </fieldset>


              <!-- buttons form -->
              <div class="form-group">
                <div class="col-md-9 col-md-offset-3">
                    <button type="submit" class="btn btn-primary" data-th-text="#{label_save}">Save</button>
                    <button type="reset" class="btn btn-default" onclick="location.href='list.html'" data-th-onclick="'location.href=\'' + @{${collectionLink.to('list')}} + '\''" data-th-text="#{label_reset}">Cancel</button>
                </div>
              </div>

          </form>
          <!-- /FORM -->

        </div>

      </section>
      <!-- /CONTENT -->
  </div>
  <!-- /CONTAINER -->

  <footer class="container">
    <!-- Content replaced by layout of the page displayed -->
  </footer>

  <!-- JavaScript
  ================================================== -->
  <!-- Placed at the end of the document so that the pages load faster -->
  <!-- JavaScript loaded by layout of the page displayed -->
  <!--
       Only the inner content of the following tag "javascript" is included
       within the template, in the div "javascript"
      -->
  <div data-layout-fragment="javascript">

    <!-- DateTimePicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.full.min.js" data-th-src="@{/webjars/datetimepicker/build/jquery.datetimepicker.full.min.js}"></script>
    <script src="../../static/public/js/datetimepicker-defaults.js" data-th-src="@{/public/js/datetimepicker-defaults.js}"></script>

    <!-- jquery.inputmask -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.inputmask/3.3.1/jquery.inputmask.bundle.min.js" data-th-src="@{/webjars/jquery.inputmask/min/jquery.inputmask.bundle.min.js}"></script>
    <script type="text/javascript" data-th-inline="javascript">
					(function(jQuery) {
						jQuery(document)
								.ready(
										function() {
											Inputmask
													.extendAliases({
														'numeric' : {
															'groupSeparator' : /*[[#{label_inputmask_groupSeparator}]]*/'.',
															'radixPoint' : /*[[#{label_inputmask_radixPoint}]]*/','
														},
														'currency' : {
															'prefix' : /*[[#{label_inputmask_prefix}]]*/'',
															'suffix' : /*[[#{label_inputmask_suffix}]]*/' €'
														}
													});
										});
					})(jQuery);
  		</script>
    <script src="../../static/public/js/inputmask-defaults.js" data-th-src="@{/public/js/inputmask-defaults.js}"></script>

    <!-- JQuery Validation -->
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/jquery.validate.min.js" data-th-src="@{/webjars/jquery-validation/dist/jquery.validate.min.js}">
		  </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/additional-methods.min.js" data-th-src="@{/webjars/jquery-validation/dist/additional-methods.min.js}">
			</script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/localization/messages_es.js" data-th-src="@{/webjars/jquery-validation/src/localization/messages_}+${#locale.language}+'.js'" data-th-if="${#locale.language} != 'en'">
			</script>
    <script src="../../static/public/js/validation-defaults.js" data-th-src="@{/public/js/validation-defaults.js}">
			</script>

    <script type="text/javascript" data-th-inline="javascript">
					(function(jQuery) {
						jQuery(document)
								.ready(
										function() {
											jQuery
													.extend(
															jQuery.validator.messages,
															{
																'dateformat' : /*[[#{error_invalid_date}]]*/'Please enter a correct date/time',
																'inputmask' : /*[[#{error_invalid_maskValue}]]*/'Please enter a valid value',
															});
										});
					})(jQuery);
		  </script>

    </div>

  </body>

</html>